
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "ed25519_keccak/version"

Gem::Specification.new do |spec|
  spec.name          = "ed25519_keccak"
  spec.version       = Ed25519Keccak::VERSION
  spec.authors       = ["mijinc0"]
  spec.email         = ["mijinco1024@gmail.com"]

  spec.summary       = %q{sign/verify ed25519. but use keccak/sha3 as a hash function}
  spec.description   = %q{This is a signature and verification library of ed 25519. But instead of SHA2_512, Keccak is adopted as a hash function. This implementation is a rewrite of python codes on RFC8032 as ruby.}
  spec.homepage      = "https://github.com/mijinc0"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata["homepage_uri"] = spec.homepage
    spec.metadata["source_code_uri"] = "https://github.com/mijinc0/ed25519_keccak"
    spec.metadata["changelog_uri"] = "https://github.com/mijinc0/ed25519_keccak"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"

  # keccak512
  spec.add_dependency 'digest-sha3-patched', '~> 1.1.1'
  # sha3(FIPS202)
  spec.add_dependency "sha3","~> 1.0.1"
end
